#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    long long v;
    long long x=1;
    long long br=0;

    cin >> v;

    while(x<=v)
    {
        x*=10;
    }

    x/=10;

    while(x>0)
    {
        br+=(v/(x*5))+((v%(x*5))/(x*2))+((v%(x*5))%(x*2))/x;
        v%=x;
        x/=10;
    }

    cout << br << endl;

    return 0;
}